diff -crB odepkg-0.8.5/src/Makefile odepkg-0.8.5-mod/src/Makefile
*** odepkg-0.8.5/src/Makefile	2015-05-19 09:48:44.000000000 -0400
--- odepkg-0.8.5-mod/src/Makefile	2017-10-18 12:40:43.000000000 -0400
***************
*** 1,4 ****
--- 1,5 ----
  # Filename:    Makefile
+ #
  # Description: Makefile script for the src directory of the OdePkg
  
  sinclude Makeconf # This is needed for packaging OdePkg correctly
***************
*** 11,17 ****
  # MKMEXFILE = $(MKOCTFILE) --mex
  MKOCTFILE ?= mkoctfile
  
! FFLAGS := $(shell $(MKOCTFILE) -p FFLAGS)
  ifeq (gfortran,$(findstring gfortran,$(F77)))
    FFLAGS := -fno-automatic $(FFLAGS)
  endif
--- 12,18 ----
  # MKMEXFILE = $(MKOCTFILE) --mex
  MKOCTFILE ?= mkoctfile
  
! FFLAGS := $(shell $(MKOCTFILE) -p F77_INTEGER8_FLAG) $(shell $(MKOCTFILE) -p FFLAGS) 
  ifeq (gfortran,$(findstring gfortran,$(F77)))
    FFLAGS := -fno-automatic $(FFLAGS)
  endif
Only in odepkg-0.8.5-mod/src: odepkg_auxiliary_functions.cc--
diff -crB odepkg-0.8.5/src/odepkg_octsolver_ddaskr.cc odepkg-0.8.5-mod/src/odepkg_octsolver_ddaskr.cc
*** odepkg-0.8.5/src/odepkg_octsolver_ddaskr.cc	2015-05-19 09:48:44.000000000 -0400
--- odepkg-0.8.5-mod/src/odepkg_octsolver_ddaskr.cc	2017-10-18 12:39:34.000000000 -0400
***************
*** 97,104 ****
  
  octave_idx_type odepkg_ddaskr_resfcn
    (const double& T, const double* Y, const double* YPRIME,
!    GCC_ATTR_UNUSED const double& CJ, double* DELTA, GCC_ATTR_UNUSED octave_idx_type& IRES,
!    GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
--- 97,104 ----
  
  octave_idx_type odepkg_ddaskr_resfcn
    (const double& T, const double* Y, const double* YPRIME,
!    OCTAVE_UNUSED const double& CJ, double* DELTA, OCTAVE_UNUSED octave_idx_type& IRES,
!    OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
***************
*** 126,133 ****
  
  octave_idx_type odepkg_ddaskr_jacfcn
    (const double& T, const double* Y, const double* YPRIME,
!    double* PD, const double& CJ, GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 126,133 ----
  
  octave_idx_type odepkg_ddaskr_jacfcn
    (const double& T, const double* Y, const double* YPRIME,
!    double* PD, const double& CJ, OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 159,180 ****
  }
  
  octave_idx_type odepkg_ddaskr_rtfcn // this is a dummy function
!   (GCC_ATTR_UNUSED const octave_idx_type& NEQ, GCC_ATTR_UNUSED const double& T, 
!    GCC_ATTR_UNUSED const double* Y, GCC_ATTR_UNUSED const double* YP, 
!    GCC_ATTR_UNUSED const octave_idx_type& NRT, GCC_ATTR_UNUSED const double* RVAL,
!    GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
    return (true);
  }
  
  octave_idx_type odepkg_ddaskr_psolfcn // this is a dummy function
!   (GCC_ATTR_UNUSED const octave_idx_type& NEQ, GCC_ATTR_UNUSED const double& T,
!    GCC_ATTR_UNUSED const double* Y, GCC_ATTR_UNUSED const double* YPRIME,
!    GCC_ATTR_UNUSED const double* SAVR, GCC_ATTR_UNUSED const double* WK,
!    GCC_ATTR_UNUSED const octave_idx_type& CJ, GCC_ATTR_UNUSED double* WGHT,
!    GCC_ATTR_UNUSED const double* WP, GCC_ATTR_UNUSED const octave_idx_type* IWP,
!    GCC_ATTR_UNUSED double* B, GCC_ATTR_UNUSED const octave_idx_type& EPLIN,
!    GCC_ATTR_UNUSED octave_idx_type& IER, GCC_ATTR_UNUSED const double* RPAR, 
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
    return (true);
  }
  
--- 159,180 ----
  }
  
  octave_idx_type odepkg_ddaskr_rtfcn // this is a dummy function
!   (OCTAVE_UNUSED const octave_idx_type& NEQ, OCTAVE_UNUSED const double& T, 
!    OCTAVE_UNUSED const double* Y, OCTAVE_UNUSED const double* YP, 
!    OCTAVE_UNUSED const octave_idx_type& NRT, OCTAVE_UNUSED const double* RVAL,
!    OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type* IPAR) {
    return (true);
  }
  
  octave_idx_type odepkg_ddaskr_psolfcn // this is a dummy function
!   (OCTAVE_UNUSED const octave_idx_type& NEQ, OCTAVE_UNUSED const double& T,
!    OCTAVE_UNUSED const double* Y, OCTAVE_UNUSED const double* YPRIME,
!    OCTAVE_UNUSED const double* SAVR, OCTAVE_UNUSED const double* WK,
!    OCTAVE_UNUSED const octave_idx_type& CJ, OCTAVE_UNUSED double* WGHT,
!    OCTAVE_UNUSED const double* WP, OCTAVE_UNUSED const octave_idx_type* IWP,
!    OCTAVE_UNUSED double* B, OCTAVE_UNUSED const octave_idx_type& EPLIN,
!    OCTAVE_UNUSED octave_idx_type& IER, OCTAVE_UNUSED const double* RPAR, 
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
    return (true);
  }
  
Only in odepkg-0.8.5-mod/src: odepkg_octsolver_ddaskr.cc--
diff -crB odepkg-0.8.5/src/odepkg_octsolver_mebdfdae.cc odepkg-0.8.5-mod/src/odepkg_octsolver_mebdfdae.cc
*** odepkg-0.8.5/src/odepkg_octsolver_mebdfdae.cc	2015-05-19 09:48:44.000000000 -0400
--- odepkg-0.8.5-mod/src/odepkg_octsolver_mebdfdae.cc	2017-10-18 12:39:34.000000000 -0400
***************
*** 82,89 ****
  
  octave_idx_type odepkg_mebdfdae_usrfcn
    (const octave_idx_type& N, const double& T, const double* Y,
!    double* YDOT, GCC_ATTR_UNUSED const octave_idx_type* IPAR,
!    GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type& IERR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
--- 82,89 ----
  
  octave_idx_type odepkg_mebdfdae_usrfcn
    (const octave_idx_type& N, const double& T, const double* Y,
!    double* YDOT, OCTAVE_UNUSED const octave_idx_type* IPAR,
!    OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type& IERR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
***************
*** 110,117 ****
  
  octave_idx_type odepkg_mebdfdae_jacfcn
    (const double& T, const double* Y, double* PD, const octave_idx_type& N,
!    GCC_ATTR_UNUSED const octave_idx_type& MEBAND, GCC_ATTR_UNUSED const octave_idx_type* IPAR,
!    GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type& IERR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 110,117 ----
  
  octave_idx_type odepkg_mebdfdae_jacfcn
    (const double& T, const double* Y, double* PD, const octave_idx_type& N,
!    OCTAVE_UNUSED const octave_idx_type& MEBAND, OCTAVE_UNUSED const octave_idx_type* IPAR,
!    OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type& IERR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 142,149 ****
  
  octave_idx_type odepkg_mebdfdae_massfcn
    (const octave_idx_type& N, double* AM,
!    GCC_ATTR_UNUSED const octave_idx_type* MASBND, GCC_ATTR_UNUSED const double* RPAR, 
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR, GCC_ATTR_UNUSED const octave_idx_type& IERR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 142,149 ----
  
  octave_idx_type odepkg_mebdfdae_massfcn
    (const octave_idx_type& N, double* AM,
!    OCTAVE_UNUSED const octave_idx_type* MASBND, OCTAVE_UNUSED const double* RPAR, 
!    OCTAVE_UNUSED const octave_idx_type* IPAR, OCTAVE_UNUSED const octave_idx_type& IERR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
Only in odepkg-0.8.5-mod/src: odepkg_octsolver_mebdfdae.cc--
diff -crB odepkg-0.8.5/src/odepkg_octsolver_mebdfi.cc odepkg-0.8.5-mod/src/odepkg_octsolver_mebdfi.cc
*** odepkg-0.8.5/src/odepkg_octsolver_mebdfi.cc	2015-05-19 09:48:44.000000000 -0400
--- odepkg-0.8.5-mod/src/odepkg_octsolver_mebdfi.cc	2017-10-18 12:39:34.000000000 -0400
***************
*** 125,131 ****
  static octave_value vmebdfijacfun;
  
  /* -*- texinfo -*-
!  * @deftypefn {Function} {octave_idx_type} {odepkg_mebdfi_usrfcn} (const octave_idx_type& N, const double& T, const double* Y, double* DELTA, const double* YPRIME, GCC_ATTR_UNUSED const octave_idx_type* IPAR, GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type& IERR)
   *
   * Return @code{true} if the evaluation of the user function was successful, return @code{false} otherwise. This function is directly called from the Fortran core solver @code{mebdfi}. The input arguments of this function are
   *
--- 125,131 ----
  static octave_value vmebdfijacfun;
  
  /* -*- texinfo -*-
!  * @deftypefn {Function} {octave_idx_type} {odepkg_mebdfi_usrfcn} (const octave_idx_type& N, const double& T, const double* Y, double* DELTA, const double* YPRIME, OCTAVE_UNUSED const octave_idx_type* IPAR, OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type& IERR)
   *
   * Return @code{true} if the evaluation of the user function was successful, return @code{false} otherwise. This function is directly called from the Fortran core solver @code{mebdfi}. The input arguments of this function are
   *
***************
*** 143,150 ****
   */
  octave_idx_type odepkg_mebdfi_usrfcn
    (const octave_idx_type& N, const double& T, const double* Y, 
!    double* DELTA, const double* YPRIME, GCC_ATTR_UNUSED const octave_idx_type* IPAR,
!    GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type& IERR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
--- 143,150 ----
   */
  octave_idx_type odepkg_mebdfi_usrfcn
    (const octave_idx_type& N, const double& T, const double* Y, 
!    double* DELTA, const double* YPRIME, OCTAVE_UNUSED const octave_idx_type* IPAR,
!    OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type& IERR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
***************
*** 171,177 ****
  }
  
  /* -*- texinfo -*-
!  * @deftypefn {Function} {octave_idx_type} {odepkg_mebdfi_jacfcn} (const double& T, const double* Y, double* PD, const octave_idx_type& N, const double* YPRIME, GCC_ATTR_UNUSED const octave_idx_type* MBND, const double& CON, GCC_ATTR_UNUSED const octave_idx_type* IPAR, GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type& IERR)
   *
   * Return @code{true} if the evaluation of the Jacobian function (that is defined for a special IDE problem in Octave) was successful, otherwise return @code{false}. This function is directly called from the Fortran core solver @code{mebdfi}. The input arguments of this function are
   *
--- 171,177 ----
  }
  
  /* -*- texinfo -*-
!  * @deftypefn {Function} {octave_idx_type} {odepkg_mebdfi_jacfcn} (const double& T, const double* Y, double* PD, const octave_idx_type& N, const double* YPRIME, OCTAVE_UNUSED const octave_idx_type* MBND, const double& CON, OCTAVE_UNUSED const octave_idx_type* IPAR, OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type& IERR)
   *
   * Return @code{true} if the evaluation of the Jacobian function (that is defined for a special IDE problem in Octave) was successful, otherwise return @code{false}. This function is directly called from the Fortran core solver @code{mebdfi}. The input arguments of this function are
   *
***************
*** 191,199 ****
   */
  octave_idx_type odepkg_mebdfi_jacfcn
    (const double& T, const double* Y, double* PD, const octave_idx_type& N,
!    const double* YPRIME, GCC_ATTR_UNUSED const octave_idx_type* MBND, 
!    const double& CON, GCC_ATTR_UNUSED const octave_idx_type* IPAR, 
!    GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type& IERR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 191,199 ----
   */
  octave_idx_type odepkg_mebdfi_jacfcn
    (const double& T, const double* Y, double* PD, const octave_idx_type& N,
!    const double* YPRIME, OCTAVE_UNUSED const octave_idx_type* MBND, 
!    const double& CON, OCTAVE_UNUSED const octave_idx_type* IPAR, 
!    OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type& IERR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
Only in odepkg-0.8.5-mod/src: odepkg_octsolver_mebdfi.cc--
diff -crB odepkg-0.8.5/src/odepkg_octsolver_radau.cc odepkg-0.8.5-mod/src/odepkg_octsolver_radau.cc
*** odepkg-0.8.5/src/odepkg_octsolver_radau.cc	2015-05-19 09:48:44.000000000 -0400
--- odepkg-0.8.5-mod/src/odepkg_octsolver_radau.cc	2017-10-18 12:40:43.000000000 -0400
***************
*** 39,64 ****
  
  typedef octave_idx_type (*odepkg_radau_usrtype)
    (const octave_idx_type& N, const double& X, const double* Y, double* F,
!    GCC_ATTR_UNUSED const double* RPAR, 
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau_jactype)
    (const octave_idx_type& N, const double& X, const double* Y, double* DFY,
!    GCC_ATTR_UNUSED const octave_idx_type& LDFY,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau_masstype)
    (const octave_idx_type& N, double* AM, 
!    GCC_ATTR_UNUSED const octave_idx_type* LMAS, 
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau_soltype)
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN);
  
  
  extern "C" {
--- 39,64 ----
  
  typedef octave_idx_type (*odepkg_radau_usrtype)
    (const octave_idx_type& N, const double& X, const double* Y, double* F,
!    OCTAVE_UNUSED const double* RPAR, 
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau_jactype)
    (const octave_idx_type& N, const double& X, const double* Y, double* DFY,
!    OCTAVE_UNUSED const octave_idx_type& LDFY,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau_masstype)
    (const octave_idx_type& N, double* AM, 
!    OCTAVE_UNUSED const octave_idx_type* LMAS, 
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau_soltype)
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN);
  
  
  extern "C" {
***************
*** 71,78 ****
       const octave_idx_type& IMAS, const octave_idx_type& MLMAS,
       const octave_idx_type& MUMAS, odepkg_radau_soltype, const octave_idx_type& IOUT,
       const double* WORK, const octave_idx_type& LWORK, const octave_idx_type* IWORK,
!      const octave_idx_type& LIWORK, GCC_ATTR_UNUSED const double* RPAR, 
!      GCC_ATTR_UNUSED const octave_idx_type* IPAR, const octave_idx_type& IDID);
  
    double F77_FUNC (contra, CONTRA)
      (const octave_idx_type& I, const double& S,
--- 71,78 ----
       const octave_idx_type& IMAS, const octave_idx_type& MLMAS,
       const octave_idx_type& MUMAS, odepkg_radau_soltype, const octave_idx_type& IOUT,
       const double* WORK, const octave_idx_type& LWORK, const octave_idx_type* IWORK,
!      const octave_idx_type& LIWORK, OCTAVE_UNUSED const double* RPAR, 
!      OCTAVE_UNUSED const octave_idx_type* IPAR, const octave_idx_type& IDID);
  
    double F77_FUNC (contra, CONTRA)
      (const octave_idx_type& I, const double& S,
***************
*** 93,100 ****
  
  octave_idx_type odepkg_radau_usrfcn
    (const octave_idx_type& N, const double& X, const double* Y, 
!    double* F, GCC_ATTR_UNUSED const double* RPAR, 
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
--- 93,100 ----
  
  octave_idx_type odepkg_radau_usrfcn
    (const octave_idx_type& N, const double& X, const double* Y, 
!    double* F, OCTAVE_UNUSED const double* RPAR, 
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
***************
*** 124,132 ****
  
  octave_idx_type odepkg_radau_jacfcn
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* DFY, GCC_ATTR_UNUSED const octave_idx_type& LDFY,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 124,132 ----
  
  octave_idx_type odepkg_radau_jacfcn
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* DFY, OCTAVE_UNUSED const octave_idx_type& LDFY,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 151,159 ****
  
  F77_RET_T odepkg_radau_massfcn
    (const octave_idx_type& N, double* AM,
!    GCC_ATTR_UNUSED const octave_idx_type* LMAS,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 151,159 ----
  
  F77_RET_T odepkg_radau_massfcn
    (const octave_idx_type& N, double* AM,
!    OCTAVE_UNUSED const octave_idx_type* LMAS,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 176,189 ****
      for (octave_idx_type vcol = 0; vcol < N; vcol++)
        AM[vrow+vcol*N] = vam (vrow, vcol);
  
!   return (true);
  }
  
  octave_idx_type odepkg_radau_solfcn
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 176,189 ----
      for (octave_idx_type vcol = 0; vcol < N; vcol++)
        AM[vrow+vcol*N] = vam (vrow, vcol);
  
!   return;
  }
  
  octave_idx_type odepkg_radau_solfcn
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 606,612 ****
    F77_XFCN (radau, RADAU, // Keep 5 arguments per line here
              (N, odepkg_radau_usrfcn, X, Y,
               XEND, H, RTOL, ATOL, ITOL,
!              odepkg_radau_jacfcn, IJAC, MLJAC, MUJAC, odepkg_radau_massfcn,
               IMAS, MLMAS, MUMAS, odepkg_radau_solfcn, IOUT,
               WORK, LWORK, IWORK, LIWORK, RPAR,
               IPAR, IDID));
--- 606,612 ----
    F77_XFCN (radau, RADAU, // Keep 5 arguments per line here
              (N, odepkg_radau_usrfcn, X, Y,
               XEND, H, RTOL, ATOL, ITOL,
!              odepkg_radau_jacfcn, IJAC, MLJAC, MUJAC, (odepkg_radau_masstype) odepkg_radau_massfcn,
               IMAS, MLMAS, MUMAS, odepkg_radau_solfcn, IOUT,
               WORK, LWORK, IWORK, LIWORK, RPAR,
               IPAR, IDID));
Only in odepkg-0.8.5-mod/src: odepkg_octsolver_radau.cc--
diff -crB odepkg-0.8.5/src/odepkg_octsolver_radau5.cc odepkg-0.8.5-mod/src/odepkg_octsolver_radau5.cc
*** odepkg-0.8.5/src/odepkg_octsolver_radau5.cc	2015-05-19 09:48:44.000000000 -0400
--- odepkg-0.8.5-mod/src/odepkg_octsolver_radau5.cc	2017-10-18 12:45:05.000000000 -0400
***************
*** 39,64 ****
  
  typedef octave_idx_type (*odepkg_radau5_usrtype)
    (const octave_idx_type& N, const double& X, const double* Y, double* F,
!    GCC_ATTR_UNUSED const double* RPAR, 
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau5_jactype)
    (const octave_idx_type& N, const double& X, const double* Y, double* DFY,
!    GCC_ATTR_UNUSED const octave_idx_type& LDFY,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau5_masstype)
    (const octave_idx_type& N, double* AM, 
!    GCC_ATTR_UNUSED const octave_idx_type* LMAS, 
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau5_soltype)
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN);
  
  
  extern "C" {
--- 39,64 ----
  
  typedef octave_idx_type (*odepkg_radau5_usrtype)
    (const octave_idx_type& N, const double& X, const double* Y, double* F,
!    OCTAVE_UNUSED const double* RPAR, 
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau5_jactype)
    (const octave_idx_type& N, const double& X, const double* Y, double* DFY,
!    OCTAVE_UNUSED const octave_idx_type& LDFY,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau5_masstype)
    (const octave_idx_type& N, double* AM, 
!    OCTAVE_UNUSED const octave_idx_type* LMAS, 
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_radau5_soltype)
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN);
  
  
  extern "C" {
***************
*** 71,78 ****
       const octave_idx_type& IMAS, const octave_idx_type& MLMAS,
       const octave_idx_type& MUMAS, odepkg_radau5_soltype, const octave_idx_type& IOUT,
       const double* WORK, const octave_idx_type& LWORK, const octave_idx_type* IWORK,
!      const octave_idx_type& LIWORK, GCC_ATTR_UNUSED const double* RPAR, 
!      GCC_ATTR_UNUSED const octave_idx_type* IPAR, const octave_idx_type& IDID);
  
    double F77_FUNC (contr5, CONTR5)
      (const octave_idx_type& I, const double& S,
--- 71,78 ----
       const octave_idx_type& IMAS, const octave_idx_type& MLMAS,
       const octave_idx_type& MUMAS, odepkg_radau5_soltype, const octave_idx_type& IOUT,
       const double* WORK, const octave_idx_type& LWORK, const octave_idx_type* IWORK,
!      const octave_idx_type& LIWORK, OCTAVE_UNUSED const double* RPAR, 
!      OCTAVE_UNUSED const octave_idx_type* IPAR, const octave_idx_type& IDID);
  
    double F77_FUNC (contr5, CONTR5)
      (const octave_idx_type& I, const double& S,
***************
*** 93,100 ****
  
  octave_idx_type odepkg_radau5_usrfcn
    (const octave_idx_type& N, const double& X, const double* Y, 
!    double* F, GCC_ATTR_UNUSED const double* RPAR, 
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
--- 93,100 ----
  
  octave_idx_type odepkg_radau5_usrfcn
    (const octave_idx_type& N, const double& X, const double* Y, 
!    double* F, OCTAVE_UNUSED const double* RPAR, 
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
***************
*** 124,132 ****
  
  octave_idx_type odepkg_radau5_jacfcn
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* DFY, GCC_ATTR_UNUSED const octave_idx_type& LDFY,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 124,132 ----
  
  octave_idx_type odepkg_radau5_jacfcn
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* DFY, OCTAVE_UNUSED const octave_idx_type& LDFY,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 151,159 ****
  
  F77_RET_T odepkg_radau5_massfcn
    (const octave_idx_type& N, double* AM,
!    GCC_ATTR_UNUSED const octave_idx_type* LMAS,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 151,159 ----
  
  F77_RET_T odepkg_radau5_massfcn
    (const octave_idx_type& N, double* AM,
!    OCTAVE_UNUSED const octave_idx_type* LMAS,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 176,189 ****
      for (octave_idx_type vcol = 0; vcol < N; vcol++)
        AM[vrow+vcol*N] = vam (vrow, vcol);
  
!   return (true);
  }
  
  octave_idx_type odepkg_radau5_solfcn
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 176,189 ----
      for (octave_idx_type vcol = 0; vcol < N; vcol++)
        AM[vrow+vcol*N] = vam (vrow, vcol);
  
!   return;
  }
  
  octave_idx_type odepkg_radau5_solfcn
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 618,624 ****
    F77_XFCN (radau5, RADAU5, // Keep 5 arguments per line here
              (N, odepkg_radau5_usrfcn, X, Y,
               XEND, H, RTOL, ATOL, ITOL,
!              odepkg_radau5_jacfcn, IJAC, MLJAC, MUJAC, odepkg_radau5_massfcn,
               IMAS, MLMAS, MUMAS, odepkg_radau5_solfcn, IOUT,
               WORK, LWORK, IWORK, LIWORK, RPAR,
               IPAR, IDID));
--- 618,624 ----
    F77_XFCN (radau5, RADAU5, // Keep 5 arguments per line here
              (N, odepkg_radau5_usrfcn, X, Y,
               XEND, H, RTOL, ATOL, ITOL,
!              odepkg_radau5_jacfcn, IJAC, MLJAC, MUJAC, (odepkg_radau5_masstype) odepkg_radau5_massfcn,
               IMAS, MLMAS, MUMAS, odepkg_radau5_solfcn, IOUT,
               WORK, LWORK, IWORK, LIWORK, RPAR,
               IPAR, IDID));
Only in odepkg-0.8.5-mod/src: odepkg_octsolver_radau5.cc--
diff -crB odepkg-0.8.5/src/odepkg_octsolver_rodas.cc odepkg-0.8.5-mod/src/odepkg_octsolver_rodas.cc
*** odepkg-0.8.5/src/odepkg_octsolver_rodas.cc	2015-05-19 09:48:44.000000000 -0400
--- odepkg-0.8.5-mod/src/odepkg_octsolver_rodas.cc	2017-10-18 12:46:39.000000000 -0400
***************
*** 42,56 ****
   * @example
   * typedef octave_idx_type (*odepkg_rodas_usrtype)
   *   (const octave_idx_type& N, const double& X, const double* Y,
!  *    double* F, GCC_ATTR_UNUSED const double* RPAR,
!  *    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
   * @end example
   * @end deftp
   */
  typedef octave_idx_type (*odepkg_rodas_usrtype)
    (const octave_idx_type& N, const double& X, const double* Y, double* F,
!    GCC_ATTR_UNUSED const double* RPAR, 
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  /* -*- texinfo -*-
   * @deftp {Typedef} {octave_idx_type (*odepkg_rodas_jactype)}
--- 42,56 ----
   * @example
   * typedef octave_idx_type (*odepkg_rodas_usrtype)
   *   (const octave_idx_type& N, const double& X, const double* Y,
!  *    double* F, OCTAVE_UNUSED const double* RPAR,
!  *    OCTAVE_UNUSED const octave_idx_type* IPAR);
   * @end example
   * @end deftp
   */
  typedef octave_idx_type (*odepkg_rodas_usrtype)
    (const octave_idx_type& N, const double& X, const double* Y, double* F,
!    OCTAVE_UNUSED const double* RPAR, 
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  /* -*- texinfo -*-
   * @deftp {Typedef} {octave_idx_type (*odepkg_rodas_jactype)}
***************
*** 60,76 ****
   * @example
   * typedef octave_idx_type (*odepkg_rodas_jactype)
   *   (const octave_idx_type& N, const double& X, const double* Y, 
!  *    double* DFY, GCC_ATTR_UNUSED const octave_idx_type* LDFY,
!  *   GCC_ATTR_UNUSED const double* RPAR,
!  *   GCC_ATTR_UNUSED const octave_idx_type* IPAR);
   * @end example
   * @end deftp
   */
  typedef octave_idx_type (*odepkg_rodas_jactype)
    (const octave_idx_type& N, const double& X, const double* Y, double* DFY,
!    GCC_ATTR_UNUSED const octave_idx_type& LDFY,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  /* -*- texinfo -*-
   * @deftp {Typedef} {octave_idx_type (*odepkg_rodas_masstype)}
--- 60,76 ----
   * @example
   * typedef octave_idx_type (*odepkg_rodas_jactype)
   *   (const octave_idx_type& N, const double& X, const double* Y, 
!  *    double* DFY, OCTAVE_UNUSED const octave_idx_type* LDFY,
!  *   OCTAVE_UNUSED const double* RPAR,
!  *   OCTAVE_UNUSED const octave_idx_type* IPAR);
   * @end example
   * @end deftp
   */
  typedef octave_idx_type (*odepkg_rodas_jactype)
    (const octave_idx_type& N, const double& X, const double* Y, double* DFY,
!    OCTAVE_UNUSED const octave_idx_type& LDFY,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  /* -*- texinfo -*-
   * @deftp {Typedef} {octave_idx_type (*odepkg_rodas_masstype)}
***************
*** 80,96 ****
   * @example
   * typedef octave_idx_type (*odepkg_rodas_masstype)
   *   (const octave_idx_type& N, double* AM, 
!  *    GCC_ATTR_UNUSED const octave_idx_type* LMAS, 
!  *    GCC_ATTR_UNUSED const double* RPAR,
!  *    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
   * @end example
   * @end deftp
   */
  typedef octave_idx_type (*odepkg_rodas_masstype)
    (const octave_idx_type& N, double* AM, 
!    GCC_ATTR_UNUSED const octave_idx_type* LMAS, 
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  /* -*- texinfo -*-
   * @deftp {Typedef} {octave_idx_type (*odepkg_rodas_soltype)}
--- 80,96 ----
   * @example
   * typedef octave_idx_type (*odepkg_rodas_masstype)
   *   (const octave_idx_type& N, double* AM, 
!  *    OCTAVE_UNUSED const octave_idx_type* LMAS, 
!  *    OCTAVE_UNUSED const double* RPAR,
!  *    OCTAVE_UNUSED const octave_idx_type* IPAR);
   * @end example
   * @end deftp
   */
  typedef octave_idx_type (*odepkg_rodas_masstype)
    (const octave_idx_type& N, double* AM, 
!    OCTAVE_UNUSED const octave_idx_type* LMAS, 
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  /* -*- texinfo -*-
   * @deftp {Typedef} {octave_idx_type (*odepkg_rodas_soltype)}
***************
*** 101,116 ****
   * typedef octave_idx_type (*odepkg_rodas_soltype)
   *   (const octave_idx_type& NR, const double& XOLD, const double& X,
   *    const double* Y, const double* CONT, const octave_idx_type* LRC,
!  *    const octave_idx_type& N, GCC_ATTR_UNUSED const double* RPAR,
!  *    GCC_ATTR_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN);
   * @end example
   * @end deftp
   */
  typedef octave_idx_type (*odepkg_rodas_soltype)
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN);
  
  /* -*- texinfo -*-
   * @deftp {Typedef} {octave_idx_type (*odepkg_rodas_dfxtype)}
--- 101,116 ----
   * typedef octave_idx_type (*odepkg_rodas_soltype)
   *   (const octave_idx_type& NR, const double& XOLD, const double& X,
   *    const double* Y, const double* CONT, const octave_idx_type* LRC,
!  *    const octave_idx_type& N, OCTAVE_UNUSED const double* RPAR,
!  *    OCTAVE_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN);
   * @end example
   * @end deftp
   */
  typedef octave_idx_type (*odepkg_rodas_soltype)
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN);
  
  /* -*- texinfo -*-
   * @deftp {Typedef} {octave_idx_type (*odepkg_rodas_dfxtype)}
***************
*** 119,141 ****
   *
   * @example
   * typedef octave_idx_type (*odepkg_rodas_dfxtype)
!  *   (GCC_ATTR_UNUSED const octave_idx_type& N,
!  *    GCC_ATTR_UNUSED const double& X,
!  *    GCC_ATTR_UNUSED const double* Y,
!  *    GCC_ATTR_UNUSED const double* FX,
!  *    GCC_ATTR_UNUSED const double* RPAR,
!  *    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
   * @end example
   * @end deftp
   */
  typedef octave_idx_type (*odepkg_rodas_dfxtype)
!   (GCC_ATTR_UNUSED const octave_idx_type& N, GCC_ATTR_UNUSED const double& X,
!    GCC_ATTR_UNUSED const double* Y, GCC_ATTR_UNUSED const double* FX,
!    GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  extern "C" {
  /* -*- texinfo -*-
!  * @deftp {Prototype} {F77_RET_T F77_FUNC (rodas, RODAS)} (const octave_idx_type& N, odepkg_rodas_usrtype, const octave_idx_type& IFCN, const octave_idx_type& X, const double* Y, const double& XEND, const double& H, const double* RTOL, const double* ATOL, const octave_idx_type& ITOL, odepkg_rodas_jactype, const octave_idx_type& IJAC, const octave_idx_type& MLJAC, const octave_idx_type& MUJAC, odepkg_rodas_dfxtype, const octave_idx_type& IDFX, odepkg_rodas_masstype, const octave_idx_type& IMAS, const octave_idx_type& MLMAS, const octave_idx_type& MUMAS, odepkg_rodas_soltype, const octave_idx_type& IOUT, const double* WORK, const octave_idx_type& LWORK, const octave_idx_type* IWORK, const octave_idx_type& LIWORK, GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type* IPAR, const octave_idx_type& IDID);
   *
   * The prototype @code{F77_FUNC (rodas, RODAS)} is used to represent the information about the Fortran core solver @code{rodas} that is defined in the Fortran source file @file{rodas.f} (cf. the Fortran source file @file{rodas.f} for further details).
   * @end deftp
--- 119,141 ----
   *
   * @example
   * typedef octave_idx_type (*odepkg_rodas_dfxtype)
!  *   (OCTAVE_UNUSED const octave_idx_type& N,
!  *    OCTAVE_UNUSED const double& X,
!  *    OCTAVE_UNUSED const double* Y,
!  *    OCTAVE_UNUSED const double* FX,
!  *    OCTAVE_UNUSED const double* RPAR,
!  *    OCTAVE_UNUSED const octave_idx_type* IPAR);
   * @end example
   * @end deftp
   */
  typedef octave_idx_type (*odepkg_rodas_dfxtype)
!   (OCTAVE_UNUSED const octave_idx_type& N, OCTAVE_UNUSED const double& X,
!    OCTAVE_UNUSED const double* Y, OCTAVE_UNUSED const double* FX,
!    OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  extern "C" {
  /* -*- texinfo -*-
!  * @deftp {Prototype} {F77_RET_T F77_FUNC (rodas, RODAS)} (const octave_idx_type& N, odepkg_rodas_usrtype, const octave_idx_type& IFCN, const octave_idx_type& X, const double* Y, const double& XEND, const double& H, const double* RTOL, const double* ATOL, const octave_idx_type& ITOL, odepkg_rodas_jactype, const octave_idx_type& IJAC, const octave_idx_type& MLJAC, const octave_idx_type& MUJAC, odepkg_rodas_dfxtype, const octave_idx_type& IDFX, odepkg_rodas_masstype, const octave_idx_type& IMAS, const octave_idx_type& MLMAS, const octave_idx_type& MUMAS, odepkg_rodas_soltype, const octave_idx_type& IOUT, const double* WORK, const octave_idx_type& LWORK, const octave_idx_type* IWORK, const octave_idx_type& LIWORK, OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type* IPAR, const octave_idx_type& IDID);
   *
   * The prototype @code{F77_FUNC (rodas, RODAS)} is used to represent the information about the Fortran core solver @code{rodas} that is defined in the Fortran source file @file{rodas.f} (cf. the Fortran source file @file{rodas.f} for further details).
   * @end deftp
***************
*** 150,156 ****
       const octave_idx_type& MLMAS, const octave_idx_type& MUMAS, odepkg_rodas_soltype,
       const octave_idx_type& IOUT, const double* WORK, const octave_idx_type& LWORK,
       const octave_idx_type* IWORK, const octave_idx_type& LIWORK,
!      GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type* IPAR,
       const octave_idx_type& IDID);
  
  /* -*- texinfo -*-
--- 150,156 ----
       const octave_idx_type& MLMAS, const octave_idx_type& MUMAS, odepkg_rodas_soltype,
       const octave_idx_type& IOUT, const double* WORK, const octave_idx_type& LWORK,
       const octave_idx_type* IWORK, const octave_idx_type& LIWORK,
!      OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type* IPAR,
       const octave_idx_type& IDID);
  
  /* -*- texinfo -*-
***************
*** 164,178 ****
       const double* CONT, const octave_idx_type* LRC);
  
  /* -*- texinfo -*-
!  * @deftp {Prototype} {F77_RET_T F77_FUNC (dfx, DFX)} (GCC_ATTR_UNUSED const octave_idx_type& N, GCC_ATTR_UNUSED const double& X, GCC_ATTR_UNUSED const double* Y, GCC_ATTR_UNUSED const double* FX, GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type* IPAR);
   *
   * The prototype @code{F77_RET_T F77_FUNC (dfx, DFX)} is used to represent the information about a DFX dummy function (that will never be called because it is not supported) for the @code{rodas} algorithm that is defined in the Fortran source file @file{rodas.f} (cf. the Fortran source file @file{rodas.f} for further details).
   * @end deftp
   */
    F77_RET_T F77_FUNC (dfx, DFX)
!     (GCC_ATTR_UNUSED const octave_idx_type& N, GCC_ATTR_UNUSED const double& X,
!      GCC_ATTR_UNUSED const double* Y, GCC_ATTR_UNUSED const double* FX,
!      GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  } // extern "C"
  
  /* -*- texinfo -*-
--- 164,178 ----
       const double* CONT, const octave_idx_type* LRC);
  
  /* -*- texinfo -*-
!  * @deftp {Prototype} {F77_RET_T F77_FUNC (dfx, DFX)} (OCTAVE_UNUSED const octave_idx_type& N, OCTAVE_UNUSED const double& X, OCTAVE_UNUSED const double* Y, OCTAVE_UNUSED const double* FX, OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type* IPAR);
   *
   * The prototype @code{F77_RET_T F77_FUNC (dfx, DFX)} is used to represent the information about a DFX dummy function (that will never be called because it is not supported) for the @code{rodas} algorithm that is defined in the Fortran source file @file{rodas.f} (cf. the Fortran source file @file{rodas.f} for further details).
   * @end deftp
   */
    F77_RET_T F77_FUNC (dfx, DFX)
!     (OCTAVE_UNUSED const octave_idx_type& N, OCTAVE_UNUSED const double& X,
!      OCTAVE_UNUSED const double* Y, OCTAVE_UNUSED const double* FX,
!      OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type* IPAR);
  } // extern "C"
  
  /* -*- texinfo -*-
***************
*** 256,262 ****
  static octave_value vrodasmassstate;
  
  /* -*- texinfo -*-
!  * @deftypefn {Function} {octave_idx_type} {odepkg_rodas_usrfcn} (const octave_idx_type& N, const double& X, const double* Y, double* F, GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type* IPAR)
   *
   * Return @code{true} if the evaluation of the user type function (that is defined for a special DAE problem in Octave) was successful, otherwise return @code{false}. This function is directly called from the Fortran core solver @code{rodas}. The input arguments of this function are
   *
--- 256,262 ----
  static octave_value vrodasmassstate;
  
  /* -*- texinfo -*-
!  * @deftypefn {Function} {octave_idx_type} {odepkg_rodas_usrfcn} (const octave_idx_type& N, const double& X, const double* Y, double* F, OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type* IPAR)
   *
   * Return @code{true} if the evaluation of the user type function (that is defined for a special DAE problem in Octave) was successful, otherwise return @code{false}. This function is directly called from the Fortran core solver @code{rodas}. The input arguments of this function are
   *
***************
*** 272,279 ****
   */
  octave_idx_type odepkg_rodas_usrfcn
    (const octave_idx_type& N, const double& X, const double* Y, 
!    double* F, GCC_ATTR_UNUSED const double* RPAR, 
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
--- 272,279 ----
   */
  octave_idx_type odepkg_rodas_usrfcn
    (const octave_idx_type& N, const double& X, const double* Y, 
!    double* F, OCTAVE_UNUSED const double* RPAR, 
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
***************
*** 302,308 ****
  }
  
  /* -*- texinfo -*-
!  * @deftypefn {Function} {octave_idx_type} {odepkg_mebdfi_jacfcn} (const octave_idx_type& N, const double& X, const double* Y, double* DFY, GCC_ATTR_UNUSED const octave_idx_type& LDFY, GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type* IPAR)
   *
   * Return @code{true} if the evaluation of the @code{Jacobian} function (that is defined for a special DAE problem in Octave) was successful, otherwise return @code{false}. This function is directly called from the Fortran core solver @code{rodas}. The input arguments of this function are
   *
--- 302,308 ----
  }
  
  /* -*- texinfo -*-
!  * @deftypefn {Function} {octave_idx_type} {odepkg_mebdfi_jacfcn} (const octave_idx_type& N, const double& X, const double* Y, double* DFY, OCTAVE_UNUSED const octave_idx_type& LDFY, OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type* IPAR)
   *
   * Return @code{true} if the evaluation of the @code{Jacobian} function (that is defined for a special DAE problem in Octave) was successful, otherwise return @code{false}. This function is directly called from the Fortran core solver @code{rodas}. The input arguments of this function are
   *
***************
*** 319,327 ****
   */
  octave_idx_type odepkg_rodas_jacfcn
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* DFY, GCC_ATTR_UNUSED const octave_idx_type& LDFY,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 319,327 ----
   */
  octave_idx_type odepkg_rodas_jacfcn
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* DFY, OCTAVE_UNUSED const octave_idx_type& LDFY,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 349,357 ****
   */
  F77_RET_T odepkg_rodas_massfcn
    (const octave_idx_type& N, double* AM,
!    GCC_ATTR_UNUSED const octave_idx_type* LMAS,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 349,357 ----
   */
  F77_RET_T odepkg_rodas_massfcn
    (const octave_idx_type& N, double* AM,
!    OCTAVE_UNUSED const octave_idx_type* LMAS,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 374,380 ****
      for (octave_idx_type vcol = 0; vcol < N; vcol++)
        AM[vrow+vcol*N] = vam (vrow, vcol);
  
!   return (true);
  }
  
  /* -*- texinfo -*-
--- 374,380 ----
      for (octave_idx_type vcol = 0; vcol < N; vcol++)
        AM[vrow+vcol*N] = vam (vrow, vcol);
  
!   return;
  }
  
  /* -*- texinfo -*-
***************
*** 383,390 ****
  octave_idx_type odepkg_rodas_solfcn
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 383,390 ----
  octave_idx_type odepkg_rodas_solfcn
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* CONT, const octave_idx_type* LRC,
!    const octave_idx_type& N, OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 449,457 ****
   * odepkg_rodas_solfcn - TODO dummy function
   */
  octave_idx_type odepkg_rodas_dfxfcn
!   (GCC_ATTR_UNUSED const octave_idx_type& N, GCC_ATTR_UNUSED const double& X,
!    GCC_ATTR_UNUSED const double* Y, GCC_ATTR_UNUSED const double* FX,
!    GCC_ATTR_UNUSED const double* RPAR, GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
     warning_with_id ("OdePkg:InvalidFunctionCall",
       "function odepkg_rodas_dfxfcn: This warning message should never appear");
--- 449,457 ----
   * odepkg_rodas_solfcn - TODO dummy function
   */
  octave_idx_type odepkg_rodas_dfxfcn
!   (OCTAVE_UNUSED const octave_idx_type& N, OCTAVE_UNUSED const double& X,
!    OCTAVE_UNUSED const double* Y, OCTAVE_UNUSED const double* FX,
!    OCTAVE_UNUSED const double* RPAR, OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
     warning_with_id ("OdePkg:InvalidFunctionCall",
       "function odepkg_rodas_dfxfcn: This warning message should never appear");
***************
*** 820,826 ****
              (N, odepkg_rodas_usrfcn, IFCN, X, Y, 
               XEND, H, RTOL, ATOL, ITOL, 
               odepkg_rodas_jacfcn, IJAC, MLJAC, MUJAC, odepkg_rodas_dfxfcn,
!              IDFX, odepkg_rodas_massfcn, IMAS, MLMAS, MUMAS, 
               odepkg_rodas_solfcn, IOUT, WORK, LWORK, IWORK,
               LIWORK, RPAR, IPAR, IDID));
  
--- 820,826 ----
              (N, odepkg_rodas_usrfcn, IFCN, X, Y, 
               XEND, H, RTOL, ATOL, ITOL, 
               odepkg_rodas_jacfcn, IJAC, MLJAC, MUJAC, odepkg_rodas_dfxfcn,
!              IDFX, (odepkg_rodas_masstype) odepkg_rodas_massfcn, IMAS, MLMAS, MUMAS, 
               odepkg_rodas_solfcn, IOUT, WORK, LWORK, IWORK,
               LIWORK, RPAR, IPAR, IDID));
  
Only in odepkg-0.8.5-mod/src: odepkg_octsolver_rodas.cc--
diff -crB odepkg-0.8.5/src/odepkg_octsolver_seulex.cc odepkg-0.8.5-mod/src/odepkg_octsolver_seulex.cc
*** odepkg-0.8.5/src/odepkg_octsolver_seulex.cc	2015-05-19 09:48:44.000000000 -0400
--- odepkg-0.8.5-mod/src/odepkg_octsolver_seulex.cc	2017-10-18 12:48:08.000000000 -0400
***************
*** 39,65 ****
  
  typedef octave_idx_type (*odepkg_seulex_usrtype)
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* F, GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_seulex_jactype)
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* DFY, GCC_ATTR_UNUSED const octave_idx_type& LDFY,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_seulex_masstype)
    (const octave_idx_type& N, double* AM, 
!    GCC_ATTR_UNUSED const octave_idx_type* LMAS, 
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_seulex_soltype)
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* RC, const octave_idx_type& LRC, 
     const double* IC, const octave_idx_type& LIC,
!    const octave_idx_type& N, GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN);
  
  extern "C" {
    F77_RET_T F77_FUNC (seulex, SEULEX)
--- 39,65 ----
  
  typedef octave_idx_type (*odepkg_seulex_usrtype)
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* F, OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_seulex_jactype)
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* DFY, OCTAVE_UNUSED const octave_idx_type& LDFY,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_seulex_masstype)
    (const octave_idx_type& N, double* AM, 
!    OCTAVE_UNUSED const octave_idx_type* LMAS, 
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR);
  
  typedef octave_idx_type (*odepkg_seulex_soltype)
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* RC, const octave_idx_type& LRC, 
     const double* IC, const octave_idx_type& LIC,
!    const octave_idx_type& N, OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN);
  
  extern "C" {
    F77_RET_T F77_FUNC (seulex, SEULEX)
***************
*** 71,78 ****
       const octave_idx_type& IMAS, const octave_idx_type& MLMAS,
       const octave_idx_type& MUMAS, odepkg_seulex_soltype, const octave_idx_type& IOUT,
       const double* WORK, const octave_idx_type& LWORK, const octave_idx_type* IWORK,
!      const octave_idx_type& LIWORK, GCC_ATTR_UNUSED const double* RPAR, 
!      GCC_ATTR_UNUSED const octave_idx_type* IPAR, const octave_idx_type& IDID);
  
    double F77_FUNC (contex, CONTEX)
      (const octave_idx_type& I, const double& S,
--- 71,78 ----
       const octave_idx_type& IMAS, const octave_idx_type& MLMAS,
       const octave_idx_type& MUMAS, odepkg_seulex_soltype, const octave_idx_type& IOUT,
       const double* WORK, const octave_idx_type& LWORK, const octave_idx_type* IWORK,
!      const octave_idx_type& LIWORK, OCTAVE_UNUSED const double* RPAR, 
!      OCTAVE_UNUSED const octave_idx_type* IPAR, const octave_idx_type& IDID);
  
    double F77_FUNC (contex, CONTEX)
      (const octave_idx_type& I, const double& S,
***************
*** 96,103 ****
  
  octave_idx_type odepkg_seulex_usrfcn
    (const octave_idx_type& N, const double& X, const double* Y, 
!    double* F, GCC_ATTR_UNUSED const double* RPAR, 
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
--- 96,103 ----
  
  octave_idx_type odepkg_seulex_usrfcn
    (const octave_idx_type& N, const double& X, const double* Y, 
!    double* F, OCTAVE_UNUSED const double* RPAR, 
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element wise,
    // otherwise Octave will crash if these variables will be freed
***************
*** 127,135 ****
  
  octave_idx_type odepkg_seulex_jacfcn
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* DFY, GCC_ATTR_UNUSED const octave_idx_type& LDFY,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 127,135 ----
  
  octave_idx_type odepkg_seulex_jacfcn
    (const octave_idx_type& N, const double& X, const double* Y,
!    double* DFY, OCTAVE_UNUSED const octave_idx_type& LDFY,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 154,162 ****
  
  F77_RET_T odepkg_seulex_massfcn
    (const octave_idx_type& N, double* AM,
!    GCC_ATTR_UNUSED const octave_idx_type* LMAS,
!    GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 154,162 ----
  
  F77_RET_T odepkg_seulex_massfcn
    (const octave_idx_type& N, double* AM,
!    OCTAVE_UNUSED const octave_idx_type* LMAS,
!    OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 179,193 ****
      for (octave_idx_type vcol = 0; vcol < N; vcol++)
        AM[vrow+vcol*N] = vam (vrow, vcol);
  
!   return (true);
  }
  
  octave_idx_type odepkg_seulex_solfcn
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* RC, const octave_idx_type& LRC,
     const double* IC, const octave_idx_type& LIC,
!    const octave_idx_type& N, GCC_ATTR_UNUSED const double* RPAR,
!    GCC_ATTR_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
--- 179,193 ----
      for (octave_idx_type vcol = 0; vcol < N; vcol++)
        AM[vrow+vcol*N] = vam (vrow, vcol);
  
!   return;
  }
  
  octave_idx_type odepkg_seulex_solfcn
    (const octave_idx_type& NR, const double& XOLD, const double& X,
     const double* Y, const double* RC, const octave_idx_type& LRC,
     const double* IC, const octave_idx_type& LIC,
!    const octave_idx_type& N, OCTAVE_UNUSED const double* RPAR,
!    OCTAVE_UNUSED const octave_idx_type* IPAR, octave_idx_type& IRTRN) {
  
    // Copy the values that come from the Fortran function element-wise,
    // otherwise Octave will crash if these variables are freed
***************
*** 614,620 ****
    F77_XFCN (seulex, SEULEX, // Keep 5 arguments per line here
              (N, odepkg_seulex_usrfcn, IFCN, X, Y,
               XEND, H, RTOL, ATOL, ITOL,
!              odepkg_seulex_jacfcn, IJAC, MLJAC, MUJAC, odepkg_seulex_massfcn,
               IMAS, MLMAS, MUMAS, odepkg_seulex_solfcn, IOUT,
               WORK, LWORK, IWORK, LIWORK, RPAR,
               IPAR, IDID));
--- 614,620 ----
    F77_XFCN (seulex, SEULEX, // Keep 5 arguments per line here
              (N, odepkg_seulex_usrfcn, IFCN, X, Y,
               XEND, H, RTOL, ATOL, ITOL,
!              odepkg_seulex_jacfcn, IJAC, MLJAC, MUJAC, (odepkg_seulex_masstype) odepkg_seulex_massfcn,
               IMAS, MLMAS, MUMAS, odepkg_seulex_solfcn, IOUT,
               WORK, LWORK, IWORK, LIWORK, RPAR,
               IPAR, IDID));
Only in odepkg-0.8.5-mod/src: odepkg_octsolver_seulex.cc--
